:root {
  --size-unit: 16;
  --size-container-ideal: 1600;
  --size-container-min: 992px;
  --size-container-max: 1920px;
  --size-container: clamp(var(--size-container-min), 100vw, var(--size-container-max));
  --size-font: calc(var(--size-container) / (var(--size-container-ideal) / var(--size-unit)));
}

@media screen and (max-width: 991px) {
  :root {
    --size-container-ideal: 834;
    --size-container-min: 768px;
    --size-container-max: 991px;
  }
}

@media screen and (max-width: 767px) {
  :root {
    --size-container-ideal: 550;
    --size-container-min: 480px;
    --size-container-max: 767px;
  }
}

@media screen and (max-width: 479px) {
  :root {
    --size-container-ideal: 390;
    --size-container-min: 320px;
    --size-container-max: 479px;
  }
}

body {
  font-size: var(--size-font);
  -ms-overflow-style: none;
  scrollbar-width: none;
}

body::-webkit-scrollbar,
::-webkit-scrollbar {
  display: none;
}

.container {
  max-width: var(--size-container);
}

.container.medium {
  max-width: calc(var(--size-container) * 0.85);
}

.container.small {
  max-width: calc(var(--size-container) * 0.7);
}

::selection {
  color: #151719 !important;
  background: #ff2300 !important;
}

::-moz-selection {
  color: #151719 !important;
  background: #ff2300 !important;
}

a,
a .line,
a .word,
a .letter,
.word,
.letter,
.space {
  display: inline-block;
}

.line {
  display: block;
  overflow: hidden;
}

.space {
  width: 0.3em;
}

.navbar {
  transition: transform 1s cubic-bezier(0.25, 1, 0.25, 1);
  transform: translateY(0);
  background-color: transparent;
}

[data-scrolling-started="true"][data-scrolling-direction="down"] .navbar {
  transform: translateY(-100%);
}

.progress-bar-wrap,
.progress-bar-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 0.375em;
  height: 100vh;
}

.progress-bar-wrap {
  z-index: 12;
}

.progress-bar-background {
  z-index: 11;
  background-color: #ffffff1a;
}

@media screen and (max-width: 991px) {

  .progress-bar-wrap,
  .progress-bar-background {
    width: 0.25em;
  }
}

@media screen and (max-width: 479px) {

  .progress-bar-wrap,
  .progress-bar-background {
    width: 0.15em;
  }
}

.progress-bar {
  width: 100%;
  height: 100%;
  background-color: #ff2300;
  transform-origin: top;
  transform: scaleY(0);
}

[data-underline-link] {
  position: relative;
  text-decoration: none;
}

[data-underline-link]::before,
[data-underline-link="alt"]::before,
[data-underline-link="alt"]::after {
  content: "";
  position: absolute;
  bottom: -0.0625em;
  left: 0;
  width: 100%;
  height: 0.0625em;
  background-color: currentColor;
  transition: transform 0.735s cubic-bezier(0.625, 0.05, 0, 1);
  transform-origin: right;
  transform: scaleX(0) rotate(0.001deg);
}

[data-underline-link="alt"]::before {
  transform-origin: left;
  transform: scaleX(1) rotate(0.001deg);
  transition-delay: 0.3s;
}

[data-underline-link="alt"]::after {
  transition-delay: 0s;
}

@media (hover: hover) and (pointer: fine) {

  [data-hover]:hover [data-underline-link]::before,
  [data-underline-link]:hover::before {
    transform-origin: left;
    transform: scaleX(1) rotate(0.001deg);
  }

  [data-hover]:hover [data-underline-link="alt"]::before,
  [data-underline-link="alt"]:hover::before {
    transform-origin: right;
    transform: scaleX(0) rotate(0.001deg);
    transition-delay: 0s;
  }

  [data-hover]:hover [data-underline-link="alt"]::after,
  [data-underline-link="alt"]:hover::after {
    transform-origin: left;
    transform: scaleX(1) rotate(0.001deg);
    transition-delay: 0.3s;
  }
}

.preview-follower__inner,
.preview-follower__label {
  opacity: 0;
  transition: opacity 0.1s ease, transform 0.6s cubic-bezier(0.65, 0.1, 0, 1);
}

.preview-follower__inner {
  transform: scale(0);
}

.preview-follower__label {
  transform: translateY(100%);
}

.preview-follower [data-follower-visual] {
  display: block;
  width: 100%;
  height: 100%;
  z-index: 0;
}

@media (hover: hover) and (min-width: 992px) {
  body:has([data-follower-collection]:hover) .preview-follower__inner {
    opacity: 1;
    transform: scale(1);
  }

  body:has([data-follower-collection]:hover) .preview-follower__label {
    opacity: 1;
    transform: translateY(0);
  }

  body:has(.preview-item:hover) .preview-item:not(:hover) {
    opacity: 0.5;
  }
}

[data-logo-wall-list] [data-logo-wall-item]:nth-child(n+11) {
  display: none;
}

@media screen and (max-width: 991px) {
  [data-logo-wall-list] [data-logo-wall-item]:nth-child(n+9) {
    display: none;
  }
}

.mwg044-duplicate {
  --xpercent: 50%;
  --ypercent: 50%;
  mask-image: radial-gradient(circle at var(--xpercent) var(--ypercent), #000 20%, transparent 25%);
}

.btn-animate-chars {
  display: flex;
  position: relative;
  flex-grow: 1;
  justify-content: center;
  align-items: center;
  max-width: 12em;
  padding: 1em;
  color: #fff;
  font-size: 1em;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
  border-radius: 0.25em;
}

.btn-animate-chars__text {
  white-space: nowrap;
  line-height: 1.3;
}

.btn-animate-chars [data-button-animate-chars] {
  display: inline-block;
  position: relative;
  overflow: hidden;
}

.btn-animate-chars [data-button-animate-chars]>span {
  display: inline-block;
  position: relative;
  transform: translateY(0) rotate(0.001deg);
  transition: transform 0.6s cubic-bezier(0.625, 0.05, 0, 1);
}

.btn-animate-chars [data-button-animate-chars]>span.char {
  text-shadow: 0 1.3em currentColor;
}

.btn-animate-chars:hover [data-button-animate-chars]>span {
  transform: translateY(-1.3em) rotate(0.001deg);
}

.btn-animate-chars__bg {
  position: absolute;
  inset: 0;
  background-color: #ff2300;
  border-radius: 0.25em;
  transition: inset 0.6s cubic-bezier(0.625, 0.05, 0, 1);
}

.btn-animate-chars:hover .btn-animate-chars__bg {
  inset: 0.125em;
}

.icon-wrap {
  display: inline-block;
  position: relative;
  padding-right: 0.25em;
}

.icon-wrap img {
  display: block;
  width: 1em;
  height: 1em;
}

.icon-wrap img:last-child {
  position: absolute;
  top: 1.4em;
  left: 0;
}

.navbar__links:hover a,
.social__list:hover a,
.footer-link:hover a {
  opacity: 0.5 !important;
}

.navbar__links a:hover,
.social__list a:hover,
.footer-link a:hover {
  opacity: 1 !important;
}

[data-split="heading"] {
  visibility: hidden;
}

.wf-design-mode [data-split="heading"],
.w-editor [data-split="heading"] {
  visibility: visible !important;
}

[data-img-reveal] {
  overflow: hidden;
}

[data-img-reveal-target],
[data-img-reveal-target] video,
[data-img-reveal] video,
[data-img-reveal] img {
  width: 100%;
  height: 100%;
}

[data-img-reveal-target] video,
[data-img-reveal] video,
[data-img-reveal] img {
  display: block;
  object-fit: cover;
}

body:has(a:hover) .cursor,
body:has(button:hover) .cursor,
body:has([data-cursor]:hover) .cursor {
  width: 3em;
  height: 3em;
  background-color: rgba(255, 76, 36, 0.4);
}

@media (hover: none) and (pointer: coarse) {
  .cursor {
    display: none;
  }
}

.nav-home,
.nav-project {
  display: none;
  opacity: 0;
  visibility: hidden;
}

.nav-cta {
  opacity: 1 !important;
  visibility: visible !important;
}

[data-validate].is--error input,
[data-validate].is--error textarea,
[data-validate].is--error select {
  border-color: #ff2300;
}

[data-validate].is--success input,
[data-validate].is--success textarea,
[data-validate].is--success select {
  border-color: currentColor;
}

[data-validate] .form-field-icon {
  opacity: 0;
  pointer-events: none;
}

[data-validate].is--error .form-field-icon.is--error,
[data-validate].is--success .form-field-icon.is--success {
  opacity: 1;
}

[data-form-validate] select:has(option[value=""]:checked) {
  color: rgba(21, 23, 25, 0.5);
}

.sequence-loader {
  display: none;
  opacity: 0;
  visibility: hidden;
}
